Package org.h2gis.functions.spatial.properties

## Class ST_CoordDim

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_CoordDim

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_CoordDim
    extends org.h2gis.api.DeterministicScalarFunction

ST_CoordDim returns the dimension of the coordinates of the given geometry. Implements the SQL/MM Part 3: Spatial 5.1.3

Author:
  Adam Gouge

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_CoordDim()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Integer` `getCoordinateDimension​(org.locationtech.jts.geom.Geometry geom)` Returns the dimension of the coordinates of the given geometry.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_CoordDim

    public ST_CoordDim()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### getCoordinateDimension

    public static Integer getCoordinateDimension​(org.locationtech.jts.geom.Geometry geom)
                                          throws IOException

Returns the dimension of the coordinates of the given geometry.

Parameters:
  `geom` - Geometry
Returns:
  The dimension of the coordinates of the given geometry
Throws:
  `IOException`